Skip to main content
POST
/
api
/
instances
Create an instance
curl --request POST \
  --url https://operator.io/api/instances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "aqi-predictor-v1"
}
'
{
  "instance": {
    "id": "<string>",
    "name": "<string>",
    "status": "provisioning",
    "imageTag": "<string>",
    "avatarUrl": "<string>",
    "fqdn": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (ck_live_...). Create one in Settings > API Keys.

Body

application/json
name
string

Display name for the instance.

checkpointRepo
string

GitHub repo to use as a checkpoint.

Response

Instance created.

instance
object